import { CacheType, CommandInteraction, SlashCommandBuilder } from "discord.js";
import TestPage from "../../helpers/Pagination/TestPage";
import { PaginatedCommand } from "../../type/paginatedCommand";

export default class Paginationtest extends PaginatedCommand<TestPage> {
    constructor() {
        super();

        super.CommandBuilder = new SlashCommandBuilder()
            .setName('paginationtest')
            .setDescription('Test the pagination functionality');

        this.InitialisePages();
    }

    public override async execute(interaction: CommandInteraction<CacheType>) {
        await this.sendCommandEmbed(interaction, 0);
    }

    private InitialisePages() {
        const page0 = new TestPage("paginationtest", 0, 2);
        const page1 = new TestPage("paginationtest", 1, 2);
        const page2 = new TestPage("paginationtest", 2, 2);

        this.pages = [ page0, page1, page2 ];
    }
}